# std::basic_string<CharT,Traits,Allocator>::empty

From cppreference.com
< cpp‎ | string‎ | basic string

bool empty() const; |  | (until C++11)
bool empty() const noexcept; |  | (since C++11) (until C++20)
[[nodiscard]] bool empty() const noexcept; |  | (since C++20)

Checks if the string has no characters, i.e. whether begin() == end().

### Parameters

(none)

### Return value

true if the string is empty, false otherwise

### Complexity

Constant.

### Example

Run this code

    #include <iostream>
    #include <string>

    int main()
    {
        std::string s;
        std::boolalpha(std::cout);
        std::cout << "s.empty():" << s.empty() << "\t s:'" << s << "'\n";

        s = "Exemplar";
        std::cout << "s.empty():" << s.empty() << "\t s:'" << s << "'\n";

        s = "";
        std::cout << "s.empty():" << s.empty() << "\t s:'" << s << "'\n";
    }

Output:

    s.empty():true	 s:''
    s.empty():false	 s:'Exemplar'
    s.empty():true	 s:''

### See also

sizelength | returns the number of characters (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/string/basic_string/empty&oldid=110143"